post
https://sandbox.crimescan.ai/v1/crime_search/decision/possible/search
For potential match criteria, this API will output either "YES" or "NO" in JSON format, denoting if match has been found.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
HTTP POST
https://prod.crimescan.ai/v1/crime_search/decision/possible/search
Function: search
Parameters : name, address, father_name, dob, case_category, type, service_type
Output Type : JSON
| Param | Description | Data Type | Required/Optional |
|---|---|---|---|
| name | name of person | string | required |
| address | full address recommended | string | optional Address can be broken down into address, state and pincode. This is advised but not required. Example : "address":"250h, banjara hills, hyderabad,Telegana,500005" |
| father_name | father's name of the person | string | optional |
| dob | date of birth of candidate | string | optional |
Example:
curl -XPOST
-H "Content-Type: application/json"
-H "Authorization: Bearer xxxxxxxxxx.xxxxxxxxxxxxx"
-d '{
"name": "Gobinda Arik",
"father_name": "Jalandhar",
"address": "House no 3, Block Dakshin Gopalnagar, South 24, Parganas",
"case_category": "",
"source": "ecourt"
}'https://prod.crimescan.ai/v1/crime_search/decision/possible/search
Response:
{
"status": 1,
"cs_id": "1a821e9c45c00086a813f"
}
If unsuccessfull:
{
"status" : 0,
"error_message" : "Authentication failed"
}
HTTP Status Codes:
| HTTP Codes | Explanation |
|---|---|
| 200 | ok |
| 400 | Incorrect Input, Invalid Verify Id, Search type can be entity or individual |
| 401 | Authentication Failed |
| 503 | Search server overload |
| 500 | Server Error: The server encountered an unexpected condition or encountered an error while processing the request. Please try again later |
